/*
	Name		BootPicture
	Version		1.00
	Date		12.08.95
	Compiler	SAS C/C++ 6.55
	Code		Wojciech Jeczmien  email: jeczmien@panda.bg.univ.gda.pl
	Picture		Joshua B. Wingell  email: jbw0577@cs.rit.edu
*/
#include <string.h>
#include <stdlib.h>
#include <intuition/intuition.h>
#include <intuition/intuitionbase.h>
#include <proto/intuition.h>
#include <proto/graphics.h>
#include <proto/dos.h>

extern struct Image im;
extern UWORD cmap[16];
extern USHORT sprite_data[4];

char version[64]="$VER: BootPicture 1.00 (12.08.95)";
struct Screen *scr;
struct Window *mywin;
char tytul[]="%BootLogo_Screen100%";

main()
{
	struct Window *backwin;

	if (!(scr=OpenScreenTags(NULL,
		SA_Left,0,
		SA_Top,0,
		SA_Width,640,
		SA_Height,512,
		SA_Depth,4,
		SA_Title,tytul,
		SA_Quiet,TRUE,
		SA_ShowTitle,FALSE,
		SA_Type,CUSTOMSCREEN,
		SA_DisplayID,HIRESLACE_KEY,
		SA_Draggable,FALSE,
		TAG_DONE )))
			exit(0);
	LoadRGB4(&scr->ViewPort,cmap,16);
	if (!(mywin=OpenWindowTags(NULL,
		WA_Left,140,
		WA_Top,20,
		WA_Width,353,
		WA_Height,441,
		WA_Flags,WFLG_SMART_REFRESH | WFLG_BORDERLESS | ACTIVATE | WFLG_RMBTRAP,
		WA_CustomScreen,scr,
		TAG_DONE))) {
			CloseScreen(scr);
			exit(0);
	}
	SetPointer(mywin,sprite_data, 0, 0, 0, 0);
	DrawImage(mywin->RPort,&im,3,11);
	if (!(backwin=OpenWindowTags(NULL,
		WA_Left,0,
		WA_Top,0,
		WA_Width,640,
		WA_Height,512,
		WA_Flags,WFLG_SMART_REFRESH | WFLG_BORDERLESS | WFLG_BACKDROP | WFLG_RMBTRAP,
		WA_CustomScreen,scr,
		TAG_DONE
		))) {
			CloseWindow(mywin);
			CloseScreen(scr);
			exit(0);
	};
	SetPointer(backwin,sprite_data, 0, 0, 0, 0);
	while (TRUE){
		Delay(50);
		if (strcmp(IntuitionBase->FirstScreen->DefaultTitle,tytul))
			break;
	}
	CloseWindow(backwin);
	CloseWindow(mywin);
	CloseScreen(scr);
}
